# Calculating ocean temperature and salinity anomalies of EC-Earth vs. ORAS5.

Script for calculating ocean temperature and salinity anomalies of EC-Earth historical runs vs. ORAS5.

Anomalies of EC-Earth compared to observations are calculated using NCO and CDO operators in the script `calculate_anomalies.sh`. Please read the NCO and CDO documentation for information on the commands used. The BSC provided us with EC-Earth historical files of ocean temperature and salinity on 75 depth levels, which are ensemble means of their 10 historical members over the period 1985-2014, at monthly resolution. The observations we use consist of the corresponding file (ocean temperature and salinity inside the same netcdf file) from the ORAS5 ocean reanalysis.

The first step in `calculate_anomalies.sh` is to prepare the ORAS5 file to have the same grid (remapping) and format (renaming and reformatting of dimensions and variables, separation into 2 different files for temperature and salinity) as the EC-Earth files. 

Then, the anomalies are calculated at a monthly timestep and on each depth level as the difference between the variable (temperature/salinity) in the EC-Earth historical file and the variable in ORAS5. These anomalies will thus have to be SUBSTRACTED from the hindcasts later on. Note that this step is extremely slow on pelican (it takes several hours).

Climatological anomalies (for mean January, February, etc. over the 1985-2014 period) are then calculated.

A final reformatting step then takes place to have the same format (renaming of dimensions and variables) as the EC-Earth hindcast ocean temperature and salinity files used for the boundary conditions.
